#!/bin/csh

#--------------------------------------------------------------------------
# This is the main script for generating a sample results file, as a sample
# on which MLC participants can model their programs' output.
#--------------------------------------------------------------------------


#-- The directory where this script is
set sc=`dirname $0`
set h=`(cd $sc/..; pwd)`
#-- set classpath etc
source "$sc/set-var-captive.sh"

#--- the main input data directory 
set in=/opt/w2020/game-data/rules

#-- the list of rule sets
set rules=`(ls $in/FDCL/basic/cw.txt)`
#set log=test-compact.csv
#echo "Will collect results in file $log"

#rm $log

setenv GEMINI_API_KEY `cat /opt/w2020/gemini-api-key.txt`


foreach r ($rules)

    foreach run (0) 

        echo "Rule set $r, run No. $run"

     /usr/bin/python3.10	$h/python/tmpClientGemini.py $r 9

#	inputDir=${in} logappend=${log} log.format=Compact log.nickname=RandomTest log.run=${run} R:${r}:MLC/BMK/bmk.csv

    end
     
end     

